CentOS 5:poppler(CESA-2010:0749)

medium Nessus プラグイン ID 49936

言語:

概要

リモート CentOS ホストに1つ以上のセキュリティ更新がありません。

説明

2 つのセキュリティ問題を修正する更新済みの poppler パッケージが、 Red Hat Enterprise Linux 5 で現在利用可能です。

Red Hat セキュリティレスポンスチームは、この更新には重大なセキュリティ上の影響があると評価しています。詳細な重要度の評価を提供する Common Vulnerability Scoring System (CVSS)のベーススコアが、「参照」セクションの CVE リンクの各脆弱性に対して利用可能です。

poppler はポータブル・ドキュメント・フォーマット(PDF)レンダリングライブラリで、Evince などのアプリケーションで使用されます。

poppler で、初期化されていないポインター使用の欠陥が検出されました。攻撃者が悪意のある PDF ファイルを作成し、そのファイルが開かれた場合、poppler(Evince など)を使用するアプリケーションがクラッシュしたり、任意のコードが実行されたりする可能性があります。(CVE-2010-3702)

poppler が PDF ドキュメントに埋め込まれた PostScript Type 1 フォントを解析する方法に、配列インデックスエラーが見つかりました。攻撃者が悪意のある PDF ファイルを作成し、そのファイルが開かれた場合、poppler(Evince など)を使用するアプリケーションがクラッシュしたり、任意のコードが実行されたりする可能性があります。(CVE-2010-3704)

ユーザーは、バックポートされたパッチが含まれるこれらの更新済みパッケージにアップグレードし、これらの問題を解決することが推奨されます。

ソリューション

影響を受けた poppler パッケージを更新してください。

関連情報

http://www.nessus.org/u?723bf14f

http://www.nessus.org/u?71da6b31

プラグインの詳細

深刻度: Medium

ID: 49936

ファイル名: centos_RHSA-2010-0749.nasl

バージョン: 1.11

タイプ: local

エージェント: unix

公開日: 2010/10/12

更新日: 2021/1/4

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:centos:centos:poppler, p-cpe:/a:centos:centos:poppler-devel, p-cpe:/a:centos:centos:poppler-utils, cpe:/o:centos:centos:5

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

パッチ公開日: 2010/10/10

脆弱性公開日: 2010/11/5

参照情報

CVE: CVE-2010-3702, CVE-2010-3703, CVE-2010-3704

RHSA: 2010:0749